[PVE-User] Python problem with upgrade to proxmoxVE6.3/ CEPH Nautilus 14.2.15

alexandre derumier aderumier at odiso.com
Fri Nov 27 17:59:02 CET 2020


 >>1 pools have too many placement groups Pool rbd has 128 placement 
groups, should have 32
 >>
 >>I don't find any way to reduce placement groups tu 32
 >>
 >>Any help welcome.

you can't reduce PG on nautilus,  only since octopus.  (and ceph is able 
to do it automataaly with new pg autoscaler)

I think it's a warning introduced in last nautilus update.

If I remember, they are an option to disable this warning, (but I don't 
remember it)


On 27/11/2020 17:29, Jean-Daniel TISSOT wrote:
> Hi,
>
> I have another problem
>
> root at dmz-pve1:~ # ceph health HEALTH_WARN 1 pools have too many 
> placement groups root at dmz-pve1:~ # pveceph pool ls 
> ┌───────────────────────┬──────┬──────────┬────────┬───────────────────┬─────────────────┬──────────────────────┬──────────────┐ 
> │ Name                  │ Size │ Min Size │ PG Num │ PG Autoscale Mode 
> │ Crush Rule Name │               %-Used │         Used │ 
> ╞═══════════════════════╪══════╪══════════╪════════╪═══════════════════╪═════════════════╪══════════════════════╪══════════════╡ 
> │ device_health_metrics │    3 │        2 │      1 │ on                
> │ replicated_rule │ 4.19273845864154e-07 │ 4534827 │ 
> ├───────────────────────┼──────┼──────────┼────────┼───────────────────┼─────────────────┼──────────────────────┼──────────────┤ 
> │ rbd                   │    3 │        2 │    128 │ warn              
> │ replicated_rule │   0.0116069903597236 │ 127014329075 │ 
> └───────────────────────┴──────┴──────────┴────────┴───────────────────┴─────────────────┴──────────────────────┴──────────────┘ 
>
>
> In the GUI :
>
> 1 pools have too many placement groups Pool rbd has 128 placement 
> groups, should have 32
>
> I don't find any way to reduce placement groups tu 32
>
> Any help welcome.
>
> Best regards,
>
> Le 27/11/2020 à 14:07, Lindsay Mathieson a écrit :
>> On 27/11/2020 9:47 pm, Jean-Luc Oms wrote:
>>> Upgrading to last Proxmox VE / Ceph nautilus from the last 6.2 proxmox
>>> VE seems to introduce a python 2/3 version problem, dashboard healt
>>> stops working.
>>
>> Was just about to report that :)
>>
>>
>> Same here.
>>




More information about the pve-user mailing list